X2Go Bug report logs - #1280
Windows x2goclient 4.1.x crashes with Try Auto Login

version graph

Packages: windows, x2goclient; Maintainer for windows is (unknown); Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Ross Mohn <rpmohn@waxandwane.org>

Date: Mon, 2 Apr 2018 17:05:02 UTC

Severity: normal

Found in version 4.1.x

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#1280; Package x2goclient (windows). (Mon, 02 Apr 2018 17:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ross Mohn <rpmohn@waxandwane.org>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Mon, 02 Apr 2018 17:05:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Ross Mohn <rpmohn@waxandwane.org>
To: submit@bugs.x2go.org
Subject: Windows x2goclient 4.1.x crashes with Try Auto Login
Date: Mon, 2 Apr 2018 12:47:19 -0400
Package: x2goclient (Windows)
Version: 4.1.x

Reproduced with x2goclient-4.1.0.0-2017.03.11-setup.exe and x2goclient-4.1.1.1-2018.03.01-setup.exe

Noticed this about a year ago, but didn't debug at that time and just fell back to 4.0.x version.

Setup: pagent.exe running with correct id_rsa.ppk SSH key. Check the "Try auto login" box in the session preferences.

Launch x2goclient.debug.exe (v4.1.1.1):
    x2go-INFO-1> "Starting X2Go Client..."
    x2go-WARNING-1> "English language requested, not loading translator."
    x2go-WARNING-1> "English language requested, not loading translator."
    x2go-INFO-3> "Started X2Go Client."
Process Explorer shows the following processes started, roughly in this order:
    x2goclient.debug.exe
    x2gohelper.exe
    sshd.exe
    pulseaudio.exe
    conhost.exe

Click to launch the Session:
    x2go-INFO-8> "Starting connection to server: example.com:922"
    QObject::killTimers: timers cannot be stopped from another thread
Process Explorer shows the following processes killed, roughly all at once:
    x2goclient.debug.exe
    x2gohelper.exe
    sshd.exe
    pulseaudio.exe
    conhost.exe

Work arounds:
    1) roll back to v4.0.x
    2) uncheck the "Try auto login" box" and live with typing in your password.

Thanks -Ross

-- 
Ross Palmer Mohn
rpmohn@waxandwane.org


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#1280; Package x2goclient (windows). (Tue, 03 Jul 2018 17:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ross Mohn <rpmohn@waxandwane.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Tue, 03 Jul 2018 17:40:02 GMT) (full text, mbox, link).


Message #10 received at 1280@bugs.x2go.org (full text, mbox, reply):

From: Ross Mohn <rpmohn@waxandwane.org>
To: 1280@bugs.x2go.org
Subject: Resolved
Date: Tue, 3 Jul 2018 13:20:36 -0400
Installed x2goclient-4.1.2.0-2018.06.22 and performed additional 
testing. It seems that if I specify a key in the "Use RSA/DSA key for 
ssh connection" the client doesn't attempt to use the ssh agent at all, 
only that specific key file. I had thought that it would still try the 
agent first, but it only tries the specified key file and then moves 
right to asking for the password, skipping the agent altogether.

Next I created a new id_ed25519.ppk file and loaded it with pagent. I 
leave "Use RSA/DSA key for ssh connection" blank. The client now 
immediately uses pagent for authentication and launches my session 
without requiring any further interaction.

OK to close, thanks! -Ross



Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#1280; Package x2goclient (windows). (Wed, 15 Aug 2018 21:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Wed, 15 Aug 2018 21:05:02 GMT) (full text, mbox, link).


Message #15 received at 1280@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ross Mohn <rpmohn@waxandwane.org>, 1280@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1280: Resolved
Date: Wed, 15 Aug 2018 21:03:10 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

On  Di 03 Jul 2018 19:20:36 CEST, Ross Mohn wrote:

> Installed x2goclient-4.1.2.0-2018.06.22 and performed additional  
> testing. It seems that if I specify a key in the "Use RSA/DSA key  
> for ssh connection" the client doesn't attempt to use the ssh agent  
> at all, only that specific key file. I had thought that it would  
> still try the agent first, but it only tries the specified key file  
> and then moves right to asking for the password, skipping the agent  
> altogether.
>
> Next I created a new id_ed25519.ppk file and loaded it with pagent.  
> I leave "Use RSA/DSA key for ssh connection" blank. The client now  
> immediately uses pagent for authentication and launches my session  
> without requiring any further interaction.
>
> OK to close, thanks! -Ross

Thanks, closed now.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1280-submit@bugs.x2go.org. (Wed, 15 Aug 2018 21:05:03 GMT) (full text, mbox, link).


Notification sent to Ross Mohn <rpmohn@waxandwane.org>:
Bug acknowledged by developer. (Wed, 15 Aug 2018 21:05:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 13 Sep 2018 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Aug 19 10:30:28 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.